Skip to main content
There are two payload responses for this endpoint based on the details returned:
  • Basic
  • Advanced

Phone Number Basic

[GET]
{{baseUrl}}api/v1/kyc/phone_number/basic

HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameters

ParameterTypeDescriptionRequired
phone_number *stringA valid phone numberrequired

Sample response

Response
{
    "entity": {
        "first_name": "JOHN",
        "middle_name": "DOE",
        "last_name": "CHHUKWU",
        "gender": "Male",
        "nationality": "NGA",
        "date_of_birth": "1990-05-16",
        "msisdn": "23481222222222"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the phone number lookup response data
entity.first_namestringFirst name of the phone number subscriber
entity.middle_namestringMiddle name of the phone number subscriber
entity.last_namestringLast name of the phone number subscriber
entity.genderstringGender of the subscriber
entity.nationalitystringNationality code of the subscriber (e.g., NGA)
entity.date_of_birthstringDate of birth of the subscriber
entity.msisdnstringFull MSISDN (international format) of the phone number

Phone Number Advance

[GET]
{{baseUrl}}api/v1/kyc/phone_number?phone_number=081123456976

Query parameters

ParameterTypeDescriptionRequired
phone_number *stringA valid phone numberequired

Sample response

Response
{
    "entity": {
        "first_name": "JOHN",
        "last_name": "DOE",
        "middle_name": "CHHUKWU",
        "date_of_birth": "1960-12-12",
        "phone_number": "08012345678",
        "photo": "BASE 64 IMAGE",
        "gender": "M",
        "customer": "9b2ac137-5360-4050-b412-4fa6728a31fb"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the advanced phone number lookup response data
entity.first_namestringFirst name of the phone number subscriber
entity.last_namestringLast name of the phone number subscriber
entity.middle_namestringMiddle name of the phone number subscriber
entity.date_of_birthstringDate of birth of the subscriber
entity.phone_numberstringPhone number that was looked up
entity.photostringBase64-encoded photo of the subscriber
entity.genderstringGender of the subscriber
entity.customerstringUnique customer identifier (UUID)

Test Credentials for Sandbox

phone_number = 09011111111